close all
filename = '1000W_matlab.csv';
data1000W = readtable(filename);
filename = '700W_matlab.csv';
data700W = readtable(filename);
filename = '400W_matlab.csv';
data400W = readtable(filename);
filename = '100W_matlab.csv';
data100W = readtable(filename);

hold on
%title('\fontsize{20}Voltampérová charakteristika prototypového panelu v závislosti na osvetlení');
xlabel('\fontsize{20}Napätie [V]')
ylabel('\fontsize{20}Prúd [A]');
plot(data1000W.U, data1000W.I, 'LineWidth',1.5);
plot(data700W.U, data700W.I, 'LineWidth',1.5);
plot(data400W.U, data400W.I, 'LineWidth',1.5);
plot(data100W.U, data100W.I, 'LineWidth',1.5);
legend('\fontsize{20}1000 W/m^2','\fontsize{20}700 W/m^2','\fontsize{20}400 W/m^2','\fontsize{20}100 W/m^2');

ax = gca;
xlim([0,15]);
ylim([0,6]);

ax.XAxis.TickValues = 0:1:15;
ax.XAxis.MinorTick = 'on';
ax.XAxis.MinorTickValues = 0:0.5:15;
ax.YAxis.TickValues = 0:1:6;
ax.YAxis.MinorTick = 'on';
ax.YAxis.MinorTickValues = 0:0.5:6;
grid on;
ax.XMinorGrid = 'on';
ax.YMinorGrid = 'on';
% set(gca,'XMinorTick','on','YMinorTick','on');
% set(gca,'YMinorTick',[0 0.5 1 1.5 2 2.5 3  3.5 4 4.5 5 5.5 6] );

figure(2);
hold on
%title('\fontsize{20}Výkonová charakteristika prototypového panelu v závislosti na osvetlení');
xlabel('\fontsize{20}Napätie [V]')
ylabel('\fontsize{20}Výkon [W]');
plot(data1000W.U, data1000W.P, 'LineWidth',1.5);
plot(data700W.U, data700W.P, 'LineWidth',1.5);
plot(data400W.U, data400W.P, 'LineWidth',1.5);
plot(data100W.U, data100W.P, 'LineWidth',1.5);
legend('\fontsize{20}1000 W/m^2','\fontsize{20}700 W/m^2','\fontsize{20}400 W/m^2','\fontsize{20}100 W/m^2');

ax = gca;
xlim([0,15]);
ylim([0,60]);

ax.XAxis.TickValues = 0:1:15;
ax.XAxis.MinorTick = 'on';
ax.XAxis.MinorTickValues = 0:0.5:15;
ax.YAxis.TickValues = 0:10:60;
ax.YAxis.MinorTick = 'on';
ax.YAxis.MinorTickValues = 0:5:60;
grid on;
ax.XMinorGrid = 'on';
ax.YMinorGrid = 'on';

